local config = require("lapis.config")
local secrets = require("secrets.secrets")

local commit = nil
local f = io.open(".git/refs/heads/main", "r")
if f then
  commit = f:read(8)
  f:close()
end
config({"development", "production"}, {
  port = 8080,
  server = "nginx",
  code_cache = "off",
  num_workers = "1",
  sqlite = {
    database = "data/db/db.dev.sqlite"
  },
  secret = "SUPER SECRET",
  session_name = "porom_session",
  commit = commit,
})

config("production", {
  code_cache = "on",
  logging = {
    queries = false,
  },
  secret = secrets.key,
  sqlite = {
    database = "data/db/db.prod.sqlite"
  },
  session_name = "porom_session_s"
})
